Jump to content

MediaWiki:Common.css: Difference between revisions

From Shatterspark
widget color tweak
m widget link color tweak
 
(8 intermediate revisions by the same user not shown)
Line 13: Line 13:
--background-color-base: #FDF7EE;
--background-color-base: #FDF7EE;
--background-color-base-fixed: #FDF7EE;
--background-color-base-fixed: #FDF7EE;
--background-color-neutral-subtle: #FDF2D5;
--background-color-neutral-subtle: #FDE9D5;
--background-color-interactive-subtle: #FDF2D5;
--background-color-interactive-subtle: #FDE9D5;
}
}


.wikitable th {
.wikitable th {
     background-color: #F0E5CA !important;
     background-color: #F0DCB4 !important;
}
}


#footer-icons a {
#footer-icons a {
background-color: #FDF2D5;  
background-color: #FDE9D5;  
}
}


.cdx-radio__input:enabled:checked + .cdx-radio__icon {
.cdx-radio__input:enabled:checked + .cdx-radio__icon {
border-width: 6px;
border-width: 6px;
border-color: #FDF2D5;
border-color: #5B0F00;
}
 
.oo-ui-buttonElement-frameless.oo-ui-widget-enabled.oo-ui-flaggedElement-progressive > .oo-ui-buttonElement-button {
color: #5B0F00;
}
}


Line 75: Line 79:


/* Active or hovered links */
/* Active or hovered links */
a:active, a:hover, .mw-body-content a:hover {
/*a:active, a:hover, .mw-body-content a:hover {
     color: #E6BF81;  
     color: #E6BF81;  
}
}*/


/* Dead links */
/* Dead links */
a.new {
a.new {
     color: #DC7F4D;
     color: #DC7F4D;
}
.vector-menu-tabs .mw-list-item a:visited {
color: #806A47;
}
.vector-pinnable-element .mw-list-item a:not(.mw-selflink):visited, .vector-dropdown-content .mw-list-item a:not(.mw-selflink):visited {
color: #806A47;
}
}



Latest revision as of 18:08, 29 July 2026

/* CSS placed here will be applied to all skins */

/* Background color */
body {
    background-color: #FDF7EE;
}

.mw-page-container {
	background-color: #FDF7EE;
}

:root, .skin-invert {
	--background-color-base: #FDF7EE;
	--background-color-base-fixed: #FDF7EE;
	--background-color-neutral-subtle: #FDE9D5;	
	--background-color-interactive-subtle: #FDE9D5;
}

.wikitable th {
    background-color: #F0DCB4 !important;
}

#footer-icons a {
	 background-color: #FDE9D5; 
}

.cdx-radio__input:enabled:checked + .cdx-radio__icon {
	border-width: 6px;
	border-color: #5B0F00;
}

.oo-ui-buttonElement-frameless.oo-ui-widget-enabled.oo-ui-flaggedElement-progressive > .oo-ui-buttonElement-button {
	color: #5B0F00;
}

/* Header formats */

vector-page-titlebar {
    height: 0px;
}

mw-body h1 {
	font-variant: small-caps;
	color: #5B0F00;
}

h1 {
	font-variant: small-caps;
	color: #5B0F00;
}

mw-body h2 {
	font-variant: small-caps;
	color: #5B0F00;
}

h2 {
	font-variant: small-caps;
	color: #5B0F00;
}

mw-body h3 {
	color: #5B0F00;	
}

h3 {
	color: #5B0F00;	
}

/* Normal unvisited links */
a, .mw-body-content a {
    color: #BF8F41; 
}

/* Visited links */
a:visited, .mw-body-content a:visited {
    color: #806A47; 
}

/* Active or hovered links */
/*a:active, a:hover, .mw-body-content a:hover {
    color: #E6BF81; 
}*/

/* Dead links */
a.new {
    color: #DC7F4D;
}

.vector-menu-tabs .mw-list-item a:visited {
	color: #806A47;
}

.vector-pinnable-element .mw-list-item a:not(.mw-selflink):visited, .vector-dropdown-content .mw-list-item a:not(.mw-selflink):visited {
	color: #806A47;
}

/* Background transparency for PNG images */
.thumbinner {background-color:transparent;}
.thumb {border-color: transparent;}